/* Hardware.h
 * Defines pins and servo angle limits for the robot.
 * 
 * Modified Feb 12 2014
 */


/*******************************************************************************
 * Pins
 ******************************************************************************/
const int trigPin = 8;    //Sonar
const int echoPin = 7;    //Sonar

const int basePin = 2;    //Output pin to base (yaw) servo
const int topPin = 3;	  //Output pin to top (pitch) servo

const int errorLED = 13;  //Orange onboard LED
const int ledBlue = 11;    //External Blue LED
const int ledGreen = 12;   //External Green LED

//Dip switches
  const int binDigOne = 18; //Switch One
  const int binDigTwo = 17; //Switch Two
  const int binDigThr = 16; //Switch Three
  const int binDigFou = 15;  //Swithc Four

const int startButton = 0;//External Start push-button
const int firingPin = 11; //Power to the dart launcher

/*******************************************************************************
 * Servo limits
 ******************************************************************************/
const int YAW_BASE_ANGLE = 4; //Base angle to initialize yaw servo to (becasue 0 is farther than the mount will allow)
const int YAW_MAX_ANGLE = 179;
const int PITCH_BASE_ANGLE = 7; //Level angle for pitch (up/down) servo //Default: 20
const int PITCH_MAX_ANGLE = 70;  //Maximum value for vertical scan
  //pan-tilt mount physically capable of going to at least 90 degrees pitch up..



/*******************************************************************************
 * Prototypes
 ******************************************************************************/


 
/*******************************************************************************
 * Functions
 ******************************************************************************/
 



